import * as flatbuffers from 'flatbuffers';

declare class Ack {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Ack;
    static getRootAsAck(bb: flatbuffers.ByteBuffer, obj?: Ack): Ack;
    static getSizePrefixedRootAsAck(bb: flatbuffers.ByteBuffer, obj?: Ack): Ack;
    session(): string | null;
    session(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    response(): boolean;
    more(index: number): string;
    more(index: number, optionalEncoding: flatbuffers.Encoding): string | Uint8Array;
    moreLength(): number;
    static startAck(builder: flatbuffers.Builder): void;
    static addSession(builder: flatbuffers.Builder, sessionOffset: flatbuffers.Offset): void;
    static addResponse(builder: flatbuffers.Builder, response: boolean): void;
    static addMore(builder: flatbuffers.Builder, moreOffset: flatbuffers.Offset): void;
    static createMoreVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startMoreVector(builder: flatbuffers.Builder, numElems: number): void;
    static endAck(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createAck(builder: flatbuffers.Builder, sessionOffset: flatbuffers.Offset, response: boolean, moreOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Exce {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Exce;
    static getRootAsExce(bb: flatbuffers.ByteBuffer, obj?: Exce): Exce;
    static getSizePrefixedRootAsExce(bb: flatbuffers.ByteBuffer, obj?: Exce): Exce;
    text(): string | null;
    text(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startExce(builder: flatbuffers.Builder): void;
    static addText(builder: flatbuffers.Builder, textOffset: flatbuffers.Offset): void;
    static endExce(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createExce(builder: flatbuffers.Builder, textOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Idls {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Idls;
    static getRootAsIdls(bb: flatbuffers.ByteBuffer, obj?: Idls): Idls;
    static getSizePrefixedRootAsIdls(bb: flatbuffers.ByteBuffer, obj?: Idls): Idls;
    idlist(index: number): string;
    idlist(index: number, optionalEncoding: flatbuffers.Encoding): string | Uint8Array;
    idlistLength(): number;
    static startIdls(builder: flatbuffers.Builder): void;
    static addIdlist(builder: flatbuffers.Builder, idlistOffset: flatbuffers.Offset): void;
    static createIdlistVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startIdlistVector(builder: flatbuffers.Builder, numElems: number): void;
    static endIdls(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createIdls(builder: flatbuffers.Builder, idlistOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Loc {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Loc;
    static getRootAsLoc(bb: flatbuffers.ByteBuffer, obj?: Loc): Loc;
    static getSizePrefixedRootAsLoc(bb: flatbuffers.ByteBuffer, obj?: Loc): Loc;
    id(): string | null;
    id(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    name(): string | null;
    name(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    home(): boolean;
    lon(): number;
    lat(): number;
    alt(): number;
    static startLoc(builder: flatbuffers.Builder): void;
    static addId(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset): void;
    static addName(builder: flatbuffers.Builder, nameOffset: flatbuffers.Offset): void;
    static addHome(builder: flatbuffers.Builder, home: boolean): void;
    static addLon(builder: flatbuffers.Builder, lon: number): void;
    static addLat(builder: flatbuffers.Builder, lat: number): void;
    static addAlt(builder: flatbuffers.Builder, alt: number): void;
    static endLoc(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createLoc(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset, nameOffset: flatbuffers.Offset, home: boolean, lon: number, lat: number, alt: number): flatbuffers.Offset;
}

declare class Locs {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Locs;
    static getRootAsLocs(bb: flatbuffers.ByteBuffer, obj?: Locs): Locs;
    static getSizePrefixedRootAsLocs(bb: flatbuffers.ByteBuffer, obj?: Locs): Locs;
    llist(index: number, obj?: Loc): Loc | null;
    llistLength(): number;
    static startLocs(builder: flatbuffers.Builder): void;
    static addLlist(builder: flatbuffers.Builder, llistOffset: flatbuffers.Offset): void;
    static createLlistVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startLlistVector(builder: flatbuffers.Builder, numElems: number): void;
    static endLocs(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createLocs(builder: flatbuffers.Builder, llistOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Query {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Query;
    static getRootAsQuery(bb: flatbuffers.ByteBuffer, obj?: Query): Query;
    static getSizePrefixedRootAsQuery(bb: flatbuffers.ByteBuffer, obj?: Query): Query;
    id(): string | null;
    id(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    tag(): string | null;
    tag(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startQuery(builder: flatbuffers.Builder): void;
    static addId(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset): void;
    static addTag(builder: flatbuffers.Builder, tagOffset: flatbuffers.Offset): void;
    static endQuery(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createQuery(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset, tagOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Plan {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Plan;
    static getRootAsPlan(bb: flatbuffers.ByteBuffer, obj?: Plan): Plan;
    static getSizePrefixedRootAsPlan(bb: flatbuffers.ByteBuffer, obj?: Plan): Plan;
    id(): string | null;
    id(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    name(): string | null;
    name(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    queries(index: number, obj?: Query): Query | null;
    queriesLength(): number;
    locs(index: number, obj?: Loc): Loc | null;
    locsLength(): number;
    range(): number;
    first(): number;
    interval(): number;
    maxReceive(): number;
    kept(): number;
    kunit(): string | null;
    kunit(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    active(): boolean;
    site(): boolean;
    time(): string | null;
    time(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    dist(): string | null;
    dist(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    pushed(index: number): string;
    pushed(index: number, optionalEncoding: flatbuffers.Encoding): string | Uint8Array;
    pushedLength(): number;
    static startPlan(builder: flatbuffers.Builder): void;
    static addId(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset): void;
    static addName(builder: flatbuffers.Builder, nameOffset: flatbuffers.Offset): void;
    static addQueries(builder: flatbuffers.Builder, queriesOffset: flatbuffers.Offset): void;
    static createQueriesVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startQueriesVector(builder: flatbuffers.Builder, numElems: number): void;
    static addLocs(builder: flatbuffers.Builder, locsOffset: flatbuffers.Offset): void;
    static createLocsVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startLocsVector(builder: flatbuffers.Builder, numElems: number): void;
    static addRange(builder: flatbuffers.Builder, range: number): void;
    static addFirst(builder: flatbuffers.Builder, first: number): void;
    static addInterval(builder: flatbuffers.Builder, interval: number): void;
    static addMaxReceive(builder: flatbuffers.Builder, maxReceive: number): void;
    static addKept(builder: flatbuffers.Builder, kept: number): void;
    static addKunit(builder: flatbuffers.Builder, kunitOffset: flatbuffers.Offset): void;
    static addActive(builder: flatbuffers.Builder, active: boolean): void;
    static addSite(builder: flatbuffers.Builder, site: boolean): void;
    static addTime(builder: flatbuffers.Builder, timeOffset: flatbuffers.Offset): void;
    static addDist(builder: flatbuffers.Builder, distOffset: flatbuffers.Offset): void;
    static addPushed(builder: flatbuffers.Builder, pushedOffset: flatbuffers.Offset): void;
    static createPushedVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startPushedVector(builder: flatbuffers.Builder, numElems: number): void;
    static endPlan(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createPlan(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset, nameOffset: flatbuffers.Offset, queriesOffset: flatbuffers.Offset, locsOffset: flatbuffers.Offset, range: number, first: number, interval: number, maxReceive: number, kept: number, kunitOffset: flatbuffers.Offset, active: boolean, site: boolean, timeOffset: flatbuffers.Offset, distOffset: flatbuffers.Offset, pushedOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Plans {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Plans;
    static getRootAsPlans(bb: flatbuffers.ByteBuffer, obj?: Plans): Plans;
    static getSizePrefixedRootAsPlans(bb: flatbuffers.ByteBuffer, obj?: Plans): Plans;
    plist(index: number, obj?: Plan): Plan | null;
    plistLength(): number;
    static startPlans(builder: flatbuffers.Builder): void;
    static addPlist(builder: flatbuffers.Builder, plistOffset: flatbuffers.Offset): void;
    static createPlistVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startPlistVector(builder: flatbuffers.Builder, numElems: number): void;
    static endPlans(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createPlans(builder: flatbuffers.Builder, plistOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Contact {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Contact;
    static getRootAsContact(bb: flatbuffers.ByteBuffer, obj?: Contact): Contact;
    static getSizePrefixedRootAsContact(bb: flatbuffers.ByteBuffer, obj?: Contact): Contact;
    id(): string | null;
    id(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    cat(): string | null;
    cat(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    path(): string | null;
    path(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startContact(builder: flatbuffers.Builder): void;
    static addId(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset): void;
    static addCat(builder: flatbuffers.Builder, catOffset: flatbuffers.Offset): void;
    static addPath(builder: flatbuffers.Builder, pathOffset: flatbuffers.Offset): void;
    static endContact(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createContact(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset, catOffset: flatbuffers.Offset, pathOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Profile {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Profile;
    static getRootAsProfile(bb: flatbuffers.ByteBuffer, obj?: Profile): Profile;
    static getSizePrefixedRootAsProfile(bb: flatbuffers.ByteBuffer, obj?: Profile): Profile;
    id(): string | null;
    id(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    cat(): string | null;
    cat(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    name(): string | null;
    name(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    avatar(): string | null;
    avatar(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    contacts(index: number, obj?: Contact): Contact | null;
    contactsLength(): number;
    join(): string | null;
    join(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    profsign(): string | null;
    profsign(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startProfile(builder: flatbuffers.Builder): void;
    static addId(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset): void;
    static addCat(builder: flatbuffers.Builder, catOffset: flatbuffers.Offset): void;
    static addName(builder: flatbuffers.Builder, nameOffset: flatbuffers.Offset): void;
    static addAvatar(builder: flatbuffers.Builder, avatarOffset: flatbuffers.Offset): void;
    static addContacts(builder: flatbuffers.Builder, contactsOffset: flatbuffers.Offset): void;
    static createContactsVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startContactsVector(builder: flatbuffers.Builder, numElems: number): void;
    static addJoin(builder: flatbuffers.Builder, joinOffset: flatbuffers.Offset): void;
    static addProfsign(builder: flatbuffers.Builder, profsignOffset: flatbuffers.Offset): void;
    static endProfile(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createProfile(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset, catOffset: flatbuffers.Offset, nameOffset: flatbuffers.Offset, avatarOffset: flatbuffers.Offset, contactsOffset: flatbuffers.Offset, joinOffset: flatbuffers.Offset, profsignOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Profiles {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Profiles;
    static getRootAsProfiles(bb: flatbuffers.ByteBuffer, obj?: Profiles): Profiles;
    static getSizePrefixedRootAsProfiles(bb: flatbuffers.ByteBuffer, obj?: Profiles): Profiles;
    plist(index: number, obj?: Profile): Profile | null;
    plistLength(): number;
    static startProfiles(builder: flatbuffers.Builder): void;
    static addPlist(builder: flatbuffers.Builder, plistOffset: flatbuffers.Offset): void;
    static createPlistVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startPlistVector(builder: flatbuffers.Builder, numElems: number): void;
    static endProfiles(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createProfiles(builder: flatbuffers.Builder, plistOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Promp {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Promp;
    static getRootAsPromp(bb: flatbuffers.ByteBuffer, obj?: Promp): Promp;
    static getSizePrefixedRootAsPromp(bb: flatbuffers.ByteBuffer, obj?: Promp): Promp;
    text(): string | null;
    text(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startPromp(builder: flatbuffers.Builder): void;
    static addText(builder: flatbuffers.Builder, textOffset: flatbuffers.Offset): void;
    static endPromp(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createPromp(builder: flatbuffers.Builder, textOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Queries {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Queries;
    static getRootAsQueries(bb: flatbuffers.ByteBuffer, obj?: Queries): Queries;
    static getSizePrefixedRootAsQueries(bb: flatbuffers.ByteBuffer, obj?: Queries): Queries;
    qlist(index: number, obj?: Query): Query | null;
    qlistLength(): number;
    static startQueries(builder: flatbuffers.Builder): void;
    static addQlist(builder: flatbuffers.Builder, qlistOffset: flatbuffers.Offset): void;
    static createQlistVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startQlistVector(builder: flatbuffers.Builder, numElems: number): void;
    static endQueries(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createQueries(builder: flatbuffers.Builder, qlistOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class RMsg {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): RMsg;
    static getRootAsRMsg(bb: flatbuffers.ByteBuffer, obj?: RMsg): RMsg;
    static getSizePrefixedRootAsRMsg(bb: flatbuffers.ByteBuffer, obj?: RMsg): RMsg;
    visible(): boolean;
    read(): boolean;
    saved(): boolean;
    id(): string | null;
    id(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    pubId(): string | null;
    pubId(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    header(): string | null;
    header(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    tags(index: number): string;
    tags(index: number, optionalEncoding: flatbuffers.Encoding): string | Uint8Array;
    tagsLength(): number;
    queries(index: number, obj?: Query): Query | null;
    queriesLength(): number;
    senderId(): string | null;
    senderId(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    cat(): string | null;
    cat(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    profsign(): string | null;
    profsign(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    publish(): string | null;
    publish(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    receive(): string | null;
    receive(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    span(): number;
    sunit(): string | null;
    sunit(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    kept(): number;
    kunit(): string | null;
    kunit(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    max(): number;
    sim(): number;
    spot(obj?: Loc): Loc | null;
    homes(index: number, obj?: Loc): Loc | null;
    homesLength(): number;
    static startRMsg(builder: flatbuffers.Builder): void;
    static addVisible(builder: flatbuffers.Builder, visible: boolean): void;
    static addRead(builder: flatbuffers.Builder, read: boolean): void;
    static addSaved(builder: flatbuffers.Builder, saved: boolean): void;
    static addId(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset): void;
    static addPubId(builder: flatbuffers.Builder, pubIdOffset: flatbuffers.Offset): void;
    static addHeader(builder: flatbuffers.Builder, headerOffset: flatbuffers.Offset): void;
    static addTags(builder: flatbuffers.Builder, tagsOffset: flatbuffers.Offset): void;
    static createTagsVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startTagsVector(builder: flatbuffers.Builder, numElems: number): void;
    static addQueries(builder: flatbuffers.Builder, queriesOffset: flatbuffers.Offset): void;
    static createQueriesVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startQueriesVector(builder: flatbuffers.Builder, numElems: number): void;
    static addSenderId(builder: flatbuffers.Builder, senderIdOffset: flatbuffers.Offset): void;
    static addCat(builder: flatbuffers.Builder, catOffset: flatbuffers.Offset): void;
    static addProfsign(builder: flatbuffers.Builder, profsignOffset: flatbuffers.Offset): void;
    static addPublish(builder: flatbuffers.Builder, publishOffset: flatbuffers.Offset): void;
    static addReceive(builder: flatbuffers.Builder, receiveOffset: flatbuffers.Offset): void;
    static addSpan(builder: flatbuffers.Builder, span: number): void;
    static addSunit(builder: flatbuffers.Builder, sunitOffset: flatbuffers.Offset): void;
    static addKept(builder: flatbuffers.Builder, kept: number): void;
    static addKunit(builder: flatbuffers.Builder, kunitOffset: flatbuffers.Offset): void;
    static addMax(builder: flatbuffers.Builder, max: number): void;
    static addSim(builder: flatbuffers.Builder, sim: number): void;
    static addSpot(builder: flatbuffers.Builder, spotOffset: flatbuffers.Offset): void;
    static addHomes(builder: flatbuffers.Builder, homesOffset: flatbuffers.Offset): void;
    static createHomesVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startHomesVector(builder: flatbuffers.Builder, numElems: number): void;
    static endRMsg(builder: flatbuffers.Builder): flatbuffers.Offset;
}

declare class RMsgs {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): RMsgs;
    static getRootAsRMsgs(bb: flatbuffers.ByteBuffer, obj?: RMsgs): RMsgs;
    static getSizePrefixedRootAsRMsgs(bb: flatbuffers.ByteBuffer, obj?: RMsgs): RMsgs;
    rlist(index: number, obj?: RMsg): RMsg | null;
    rlistLength(): number;
    static startRMsgs(builder: flatbuffers.Builder): void;
    static addRlist(builder: flatbuffers.Builder, rlistOffset: flatbuffers.Offset): void;
    static createRlistVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startRlistVector(builder: flatbuffers.Builder, numElems: number): void;
    static endRMsgs(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createRMsgs(builder: flatbuffers.Builder, rlistOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Ren {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Ren;
    static getRootAsRen(bb: flatbuffers.ByteBuffer, obj?: Ren): Ren;
    static getSizePrefixedRootAsRen(bb: flatbuffers.ByteBuffer, obj?: Ren): Ren;
    id(): string | null;
    id(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    names(index: number): string;
    names(index: number, optionalEncoding: flatbuffers.Encoding): string | Uint8Array;
    namesLength(): number;
    static startRen(builder: flatbuffers.Builder): void;
    static addId(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset): void;
    static addNames(builder: flatbuffers.Builder, namesOffset: flatbuffers.Offset): void;
    static createNamesVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startNamesVector(builder: flatbuffers.Builder, numElems: number): void;
    static endRen(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createRen(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset, namesOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Rens {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Rens;
    static getRootAsRens(bb: flatbuffers.ByteBuffer, obj?: Rens): Rens;
    static getSizePrefixedRootAsRens(bb: flatbuffers.ByteBuffer, obj?: Rens): Rens;
    rlist(index: number, obj?: Ren): Ren | null;
    rlistLength(): number;
    static startRens(builder: flatbuffers.Builder): void;
    static addRlist(builder: flatbuffers.Builder, rlistOffset: flatbuffers.Offset): void;
    static createRlistVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startRlistVector(builder: flatbuffers.Builder, numElems: number): void;
    static endRens(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createRens(builder: flatbuffers.Builder, rlistOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class SMsg {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): SMsg;
    static getRootAsSMsg(bb: flatbuffers.ByteBuffer, obj?: SMsg): SMsg;
    static getSizePrefixedRootAsSMsg(bb: flatbuffers.ByteBuffer, obj?: SMsg): SMsg;
    id(): string | null;
    id(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    header(): string | null;
    header(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    tags(index: number): string;
    tags(index: number, optionalEncoding: flatbuffers.Encoding): string | Uint8Array;
    tagsLength(): number;
    cont(): string | null;
    cont(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    edit(): string | null;
    edit(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    senderId(): string | null;
    senderId(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    cat(): string | null;
    cat(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    profsign(): string | null;
    profsign(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    pubId(): string | null;
    pubId(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    pubTime(): string | null;
    pubTime(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    pubLocs(index: number, obj?: Loc): Loc | null;
    pubLocsLength(): number;
    published(): boolean;
    span(): number;
    sunit(): string | null;
    sunit(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    pushed(): number;
    read(): number;
    saved(): number;
    rated(): number;
    followed(): number;
    blocked(): number;
    forwarded(): number;
    static startSMsg(builder: flatbuffers.Builder): void;
    static addId(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset): void;
    static addHeader(builder: flatbuffers.Builder, headerOffset: flatbuffers.Offset): void;
    static addTags(builder: flatbuffers.Builder, tagsOffset: flatbuffers.Offset): void;
    static createTagsVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startTagsVector(builder: flatbuffers.Builder, numElems: number): void;
    static addCont(builder: flatbuffers.Builder, contOffset: flatbuffers.Offset): void;
    static addEdit(builder: flatbuffers.Builder, editOffset: flatbuffers.Offset): void;
    static addSenderId(builder: flatbuffers.Builder, senderIdOffset: flatbuffers.Offset): void;
    static addCat(builder: flatbuffers.Builder, catOffset: flatbuffers.Offset): void;
    static addProfsign(builder: flatbuffers.Builder, profsignOffset: flatbuffers.Offset): void;
    static addPubId(builder: flatbuffers.Builder, pubIdOffset: flatbuffers.Offset): void;
    static addPubTime(builder: flatbuffers.Builder, pubTimeOffset: flatbuffers.Offset): void;
    static addPubLocs(builder: flatbuffers.Builder, pubLocsOffset: flatbuffers.Offset): void;
    static createPubLocsVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startPubLocsVector(builder: flatbuffers.Builder, numElems: number): void;
    static addPublished(builder: flatbuffers.Builder, published: boolean): void;
    static addSpan(builder: flatbuffers.Builder, span: number): void;
    static addSunit(builder: flatbuffers.Builder, sunitOffset: flatbuffers.Offset): void;
    static addPushed(builder: flatbuffers.Builder, pushed: number): void;
    static addRead(builder: flatbuffers.Builder, read: number): void;
    static addSaved(builder: flatbuffers.Builder, saved: number): void;
    static addRated(builder: flatbuffers.Builder, rated: number): void;
    static addFollowed(builder: flatbuffers.Builder, followed: number): void;
    static addBlocked(builder: flatbuffers.Builder, blocked: number): void;
    static addForwarded(builder: flatbuffers.Builder, forwarded: number): void;
    static endSMsg(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createSMsg(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset, headerOffset: flatbuffers.Offset, tagsOffset: flatbuffers.Offset, contOffset: flatbuffers.Offset, editOffset: flatbuffers.Offset, senderIdOffset: flatbuffers.Offset, catOffset: flatbuffers.Offset, profsignOffset: flatbuffers.Offset, pubIdOffset: flatbuffers.Offset, pubTimeOffset: flatbuffers.Offset, pubLocsOffset: flatbuffers.Offset, published: boolean, span: number, sunitOffset: flatbuffers.Offset, pushed: number, read: number, saved: number, rated: number, followed: number, blocked: number, forwarded: number): flatbuffers.Offset;
}

declare class SMsgs {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): SMsgs;
    static getRootAsSMsgs(bb: flatbuffers.ByteBuffer, obj?: SMsgs): SMsgs;
    static getSizePrefixedRootAsSMsgs(bb: flatbuffers.ByteBuffer, obj?: SMsgs): SMsgs;
    slist(index: number, obj?: SMsg): SMsg | null;
    slistLength(): number;
    static startSMsgs(builder: flatbuffers.Builder): void;
    static addSlist(builder: flatbuffers.Builder, slistOffset: flatbuffers.Offset): void;
    static createSlistVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startSlistVector(builder: flatbuffers.Builder, numElems: number): void;
    static endSMsgs(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createSMsgs(builder: flatbuffers.Builder, slistOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Sender {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Sender;
    static getRootAsSender(bb: flatbuffers.ByteBuffer, obj?: Sender): Sender;
    static getSizePrefixedRootAsSender(bb: flatbuffers.ByteBuffer, obj?: Sender): Sender;
    anchor(): string | null;
    anchor(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    count(): number;
    pushed(): bigint;
    read(): bigint;
    saved(): bigint;
    rated(): bigint;
    followed(): bigint;
    blocked(): bigint;
    forwarded(): bigint;
    static startSender(builder: flatbuffers.Builder): void;
    static addAnchor(builder: flatbuffers.Builder, anchorOffset: flatbuffers.Offset): void;
    static addCount(builder: flatbuffers.Builder, count: number): void;
    static addPushed(builder: flatbuffers.Builder, pushed: bigint): void;
    static addRead(builder: flatbuffers.Builder, read: bigint): void;
    static addSaved(builder: flatbuffers.Builder, saved: bigint): void;
    static addRated(builder: flatbuffers.Builder, rated: bigint): void;
    static addFollowed(builder: flatbuffers.Builder, followed: bigint): void;
    static addBlocked(builder: flatbuffers.Builder, blocked: bigint): void;
    static addForwarded(builder: flatbuffers.Builder, forwarded: bigint): void;
    static endSender(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createSender(builder: flatbuffers.Builder, anchorOffset: flatbuffers.Offset, count: number, pushed: bigint, read: bigint, saved: bigint, rated: bigint, followed: bigint, blocked: bigint, forwarded: bigint): flatbuffers.Offset;
}

declare class Tag {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Tag;
    static getRootAsTag(bb: flatbuffers.ByteBuffer, obj?: Tag): Tag;
    static getSizePrefixedRootAsTag(bb: flatbuffers.ByteBuffer, obj?: Tag): Tag;
    censured(): boolean;
    tag(): string | null;
    tag(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startTag(builder: flatbuffers.Builder): void;
    static addCensured(builder: flatbuffers.Builder, censured: boolean): void;
    static addTag(builder: flatbuffers.Builder, tagOffset: flatbuffers.Offset): void;
    static endTag(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createTag(builder: flatbuffers.Builder, censured: boolean, tagOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare class Tags {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Tags;
    static getRootAsTags(bb: flatbuffers.ByteBuffer, obj?: Tags): Tags;
    static getSizePrefixedRootAsTags(bb: flatbuffers.ByteBuffer, obj?: Tags): Tags;
    tlist(index: number, obj?: Tag): Tag | null;
    tlistLength(): number;
    static startTags(builder: flatbuffers.Builder): void;
    static addTlist(builder: flatbuffers.Builder, tlistOffset: flatbuffers.Offset): void;
    static createTlistVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startTlistVector(builder: flatbuffers.Builder, numElems: number): void;
    static endTags(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createTags(builder: flatbuffers.Builder, tlistOffset: flatbuffers.Offset): flatbuffers.Offset;
}

declare enum Post {
    NONE = 0,
    Exce = 1,
    Locs = 2,
    SMsgs = 3,
    RMsgs = 4,
    Rens = 5,
    Sender = 6,
    Promp = 7,
    Ack = 8,
    Queries = 9,
    Plans = 10,
    Tags = 11,
    Idls = 12,
    Profiles = 13
}

declare class Bucket {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Bucket;
    static getRootAsBucket(bb: flatbuffers.ByteBuffer, obj?: Bucket): Bucket;
    static getSizePrefixedRootAsBucket(bb: flatbuffers.ByteBuffer, obj?: Bucket): Bucket;
    contentType(): Post;
    content<T extends flatbuffers.Table>(obj: any): any | null;
    static startBucket(builder: flatbuffers.Builder): void;
    static addContentType(builder: flatbuffers.Builder, contentType: Post): void;
    static addContent(builder: flatbuffers.Builder, contentOffset: flatbuffers.Offset): void;
    static endBucket(builder: flatbuffers.Builder): flatbuffers.Offset;
    static finishBucketBuffer(builder: flatbuffers.Builder, offset: flatbuffers.Offset): void;
    static finishSizePrefixedBucketBuffer(builder: flatbuffers.Builder, offset: flatbuffers.Offset): void;
    static createBucket(builder: flatbuffers.Builder, contentType: Post, contentOffset: flatbuffers.Offset): flatbuffers.Offset;
}

export { Ack, Bucket, Contact, Exce, Idls, Loc, Locs, Plan, Plans, Post, Profile, Profiles, Promp, Queries, Query, RMsg, RMsgs, Ren, Rens, SMsg, SMsgs, Sender, Tag, Tags };
